VisualEditor: Image in template gets cut off
OpenPublic

Description

When editing http://de.wikipedia.org/wiki/Wikidata the top of the Wikimedia logo in the template at the bottom of the page is cut off. (It might also be hidden behind the grey bar or something.)


Version: unspecified
Severity: normal

bzimport set Reference to bz48461.
Lydia_Pintscher created this task.Via LegacyMay 14 2013, 5:03 PM
Jdforrester-WMF added a comment.Via ConduitMay 16 2013, 6:10 PM

I cannot reproduce this using either Firefox or Chrome - which browser(s) does this appear in? Do you have a screenshot I could see? Does it still appear?

Lydia_Pintscher added a comment.Via ConduitMay 16 2013, 6:16 PM

Created attachment 12328
screenshot of the issue in chromium in kubuntu

Attached:

TrevorParscal added a comment.Via ConduitMay 16 2013, 6:40 PM

We aim to render templates as similarly as possible, but there are some exceptions at this time. One such exception is that protected elements and their child elements positioned as 'absolute' or 'fixed' will be changed to relative. Protected elements are usually non-text or generated elements like images or templates.

Specifically in this case the CSS rule for elements that match '.ve-ce-alienNode, .ve-ce-alienNode *' is being used to set all elements relative. In a more recent version of the code this rule is now renamed to '.ve-ce-protectedNode, .ve-ce-protectedNode *' but it's effect is the same.

We should probably be only applying relative positioning to elements that are actually positioned 'absolute' or 'fixed', because it's currently being applied to an element that's positioned 'static'.

jayvdb added a comment.Via ConduitJul 22 2013, 7:53 AM

This happens in any article that uses the following template with an image, which is lots and lots and lots
https://de.wikipedia.org/wiki/Vorlage:Navigationsleiste

https://de.wikipedia.org/wiki/Bezirk_Altona?veaction=edit

And the German template appears on many other languages as well.
https://bar.wikipedia.org/wiki/Wikibooks?veaction=edit

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:19 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.